import pytest
from api.v1.modules.public.reference_data.transport_types.routes import router
from fastapi import FastAPI
from fastapi.testclient import TestClient


@pytest.fixture(scope="session")
def access_token():
    # Reemplaza este token por uno válido generado por Keycloak
    return "aqui-va-tu-token-valido"


@pytest.fixture(scope="session")
def client():
    from api.v1.modules.public.reference_data.countries.routes import router as countries_router
    from api.v1.modules.public.reference_data.transport_types.routes import router as transport_types_router
    app = FastAPI()
    app.include_router(countries_router)
    app.include_router(transport_types_router)
    return TestClient(app)
